TagLib::Matroska::Chapter Class Reference

Matroska chapter. More...

`#include <matroskachapter.h>`

## Classes

class | Display

## Public Types

using | UID = unsigned long long
| Unique identifier.
using | Time = unsigned long long
| Timestamp in nanoseconds.

## Public Member Functions

| Chapter (Time timeStart, Time timeEnd, const List< Display > &displayList, UID uid, bool hidden=false)
| Chapter (const Chapter &other)
| Chapter (Chapter &&other) noexcept
| ~Chapter ()
Chapter & | operator= (const Chapter &other)
Chapter & | operator= (Chapter &&other) noexcept
void | swap (Chapter &other) noexcept
UID | uid () const
Time | timeStart () const
Time | timeEnd () const
bool | isHidden () const
const List< Display > & | displayList () const

## Detailed Description

Matroska chapter.

## Member Typedef Documentation

## Time

using TagLib::Matroska::Chapter::Time = unsigned long long

Timestamp in nanoseconds.

## UID

using TagLib::Matroska::Chapter::UID = unsigned long long

Unique identifier.

## Constructor & Destructor Documentation

## Chapter() [1/3]

TagLib::Matroska::Chapter::Chapter | ( | Time | timeStart,
|  | Time | timeEnd,
|  | const List< Display > & | displayList,
|  | UID | uid,
|  | bool | hidden = false )

Construct a chapter.

References displayList(), timeEnd(), timeStart(), and uid().

Referenced by Chapter(), Chapter(), operator=(), operator=(), and swap().

## Chapter() [2/3]

TagLib::Matroska::Chapter::Chapter | ( | const Chapter & | other | ) |

Construct a chapter as a copy of other.

References Chapter().

## Chapter() [3/3]

TagLib::Matroska::Chapter::Chapter | ( | Chapter && | other | ) |

noexcept

Construct a chapter moving from other.

References Chapter().

## ~Chapter()

TagLib::Matroska::Chapter::~Chapter | ( |  | ) |

Destroys this chapter.

## Member Function Documentation

## displayList()

const List< Display > & TagLib::Matroska::Chapter::displayList | ( |  | ) | const

Returns strings with language.

References TAGLIB_MSVC_SUPPRESS_WARNING_NEEDS_TO_HAVE_DLL_INTERFACE.

Referenced by Chapter().

## isHidden()

bool TagLib::Matroska::Chapter::isHidden | ( |  | ) | const

Check if chapter is hidden.

## operator=() [1/2]

Chapter & TagLib::Matroska::Chapter::operator= | ( | Chapter && | other | ) |

noexcept

Moves the contents of other into this object.

References Chapter().

## operator=() [2/2]

Chapter & TagLib::Matroska::Chapter::operator= | ( | const Chapter & | other | ) |

Copies the contents of other into this object.

References Chapter().

## swap()

void TagLib::Matroska::Chapter::swap | ( | Chapter & | other | ) |

noexcept

Exchanges the content of the object with the content of other.

References Chapter().

## timeEnd()

Time TagLib::Matroska::Chapter::timeEnd | ( |  | ) | const

Returns the timestamp of the start of the chapter in nanoseconds.

Referenced by Chapter().

## timeStart()

Time TagLib::Matroska::Chapter::timeStart | ( |  | ) | const

Returns the timestamp of the start of the chapter in nanoseconds.

Referenced by Chapter().

## uid()

UID TagLib::Matroska::Chapter::uid | ( |  | ) | const

Returns the UID of the chapter.

Referenced by Chapter().

The documentation for this class was generated from the following file:

- matroskachapter.h